using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;

namespace pcd_g1
{
	class SlopeTypeDBlockStageObject : BlockStageObject
	{
		//約30度傾斜の上半分。
		public SlopeTypeDBlockStageObject(int x, int y, string imgName, bool right)
			: base(x, y)
		{
			image = ImageManager.Search(imgName);
			Range = new SlopeTypeACollideRange(this);
			if (!right)
			{
				((SlopeTypeACollideRange)Range).P1 = new Point(0, this.Height >> 1);
				((SlopeTypeACollideRange)Range).P2 = new Point(this.Width, 0);
			}
			else
			{
				((SlopeTypeACollideRange)Range).P1 = new Point(0, 0);
				((SlopeTypeACollideRange)Range).P2 = new Point(this.Width, this.Height >> 1);
			}
		}

		public override bool EventProc(EventType type, IStageObject sender, CollideDirection direction)
		{
			return base.EventProc(type, sender, direction);
		}
	}
}
